## haproxy 2.8.16

=== debian/changelog ===
haproxy (2.8.16-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Vincent Bernat <bernat@debian.org>  Sat, 04 Oct 2025 10:09:04 +0200

haproxy (2.8.16-1) UNRELEASED; urgency=medium

  * New upstream release.

 -- Vincent Bernat <bernat@debian.org>  Sat, 04 Oct 2025 10:06:37 +0200

haproxy (2.8.15-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Vincent Bernat <bernat@debian.org>  Fri, 25 Apr 2025 16:44:36 +0200

haproxy (2.8.15-1) UNRELEASED; urgency=medium

  * New upstream release.

 -- Vincent Bernat <bernat@debian.org>  Fri, 25 Apr 2025 16:32:42 +0200

haproxy (2.8.14-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Vincent Bernat <bernat@debian.org>  Mon, 03 Feb 2025 09:07:49 +0100

haproxy (2.8.14-1) UNRELEASED; urgency=medium

  * New upstream release.

 -- Vincent Bernat <bernat@debian.org>  Mon, 03 Feb 2025 09:02:25 +0100

haproxy (2.8.13-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Vincent Bernat <bernat@debian.org>  Sat, 14 Dec 2024 22:21:46 +0100

haproxy (2.8.13-1) UNRELEASED; urgency=medium

  [ Helmut Grohne ]
  * Fix FTCBFS: (Closes: #1079532)
    + Require a sphinx for the build architecture.
    + Pass CC and PKG_CONFIG to all make targets.
    + cross.patch: Honour the passed ${PKG_CONFIG}.

  [ Vincent Bernat ]
  * New upstream release.

 -- Vincent Bernat <bernat@debian.org>  Sat, 14 Dec 2024 22:18:03 +0100

haproxy (2.8.12-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Vincent Bernat <bernat@debian.org>  Mon, 11 Nov 2024 17:25:10 +0100

haproxy (2.8.12-1) UNRELEASED; urgency=medium

  * New upstream release.

 -- Vincent Bernat <bernat@debian.org>  Mon, 11 Nov 2024 17:21:35 +0100

haproxy (2.8.11-2~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Vincent Bernat <bernat@debian.org>  Sat, 21 Sep 2024 15:03:45 +0200

haproxy (2.8.11-2) UNRELEASED; urgency=medium

  * New upstream release.

 -- Vincent Bernat <bernat@debian.org>  Sat, 21 Sep 2024 15:01:24 +0200

haproxy (2.8.10-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Vincent Bernat <bernat@debian.org>  Sun, 16 Jun 2024 10:37:35 +0200

haproxy (2.8.10-1) UNRELEASED; urgency=medium

  * New upstream release.

 -- Vincent Bernat <bernat@debian.org>  Sun, 16 Jun 2024 07:15:24 +0200

haproxy (2.8.9-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Vincent Bernat <bernat@luffy.cx>  Sat, 06 Apr 2024 12:49:47 +0200

haproxy (2.8.9-1) UNRELEASED; urgency=medium

  * New upstream release.

 -- Vincent Bernat <bernat@debian.org>  Sat, 06 Apr 2024 12:28:08 +0200

haproxy (2.8.7-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Vincent Bernat <bernat@luffy.cx>  Sat, 02 Mar 2024 23:36:33 +0100

haproxy (2.8.7-1) UNRELEASED; urgency=medium

  * New upstream release.

 -- Vincent Bernat <bernat@neo>  Sat, 02 Mar 2024 23:27:14 +0100

haproxy (2.8.6-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Vincent Bernat <bernat@luffy.cx>  Fri, 16 Feb 2024 21:34:15 +0100

haproxy (2.8.6-1) UNRELEASED; urgency=medium

  * New upstream release.

 -- Vincent Bernat <bernat@debian.org>  Fri, 16 Feb 2024 21:30:04 +0100

haproxy (2.8.5-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Vincent Bernat <bernat@luffy.cx>  Sat, 09 Dec 2023 16:26:00 +0100

haproxy (2.8.4-2~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Vincent Bernat <bernat@luffy.cx>  Wed, 22 Nov 2023 23:11:05 +0100

haproxy (2.8.4-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Vincent Bernat <bernat@luffy.cx>  Sat, 18 Nov 2023 20:42:31 +0100

haproxy (2.8.3-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Vincent Bernat <bernat@luffy.cx>  Fri, 08 Sep 2023 20:41:46 +0200

haproxy (2.8.2-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Vincent Bernat <bernat@luffy.cx>  Sat, 12 Aug 2023 13:42:28 +0200

haproxy (2.8.1-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Vincent Bernat <bernat@luffy.cx>  Mon, 03 Jul 2023 21:16:26 +0200

haproxy (2.8.0-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Vincent Bernat <bernat@luffy.cx>  Sat, 03 Jun 2023 13:20:54 +0200

haproxy (2.7.8-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Vincent Bernat <bernat@luffy.cx>  Sat, 06 May 2023 15:26:50 +0200

haproxy (2.7.7-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Vincent Bernat <bernat@luffy.cx>  Fri, 28 Apr 2023 23:06:44 +0200

haproxy (2.7.6-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Vincent Bernat <bernat@luffy.cx>  Fri, 31 Mar 2023 09:02:52 +0200

haproxy (2.7.5-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Vincent Bernat <bernat@luffy.cx>  Sat, 18 Mar 2023 14:22:27 +0100

haproxy (2.7.4-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Vincent Bernat <bernat@luffy.cx>  Fri, 10 Mar 2023 21:36:51 +0100

haproxy (2.7.3-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Vincent Bernat <bernat@luffy.cx>  Wed, 15 Feb 2023 08:41:07 +0100

haproxy (2.7.2-2~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Vincent Bernat <bernat@luffy.cx>  Mon, 13 Feb 2023 19:59:20 +0100

haproxy (2.7.2-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Vincent Bernat <bernat@luffy.cx>  Fri, 20 Jan 2023 22:38:01 +0100



=== debian/control ===
Source: haproxy
Section: net
Priority: optional
Maintainer: Debian HAProxy Maintainers <team+haproxy@tracker.debian.org>
Uploaders: Apollon Oikonomopoulos <apoikos@debian.org>,
           Prach Pongpanich <prach@debian.org>,
           Vincent Bernat <bernat@debian.org>
Standards-Version: 4.4.1
Build-Depends: debhelper-compat (= 12),
               libpcre2-dev,
               libssl-dev,
               liblua5.3-dev,
               libsystemd-dev [linux-any],
               libjemalloc-dev,
               python3-sphinx:native
Build-Depends-Indep: python3, python3-mako
Homepage: http://www.haproxy.org/
Vcs-Git: https://salsa.debian.org/haproxy-team/haproxy.git
Vcs-Browser: https://salsa.debian.org/haproxy-team/haproxy

Package: haproxy
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, adduser, lsb-base (>= 3.0-6)
Pre-Depends: dpkg (>= 1.17.14), ${misc:Pre-Depends}
Suggests: vim-haproxy, haproxy-doc
Description: fast and reliable load balancing reverse proxy
 HAProxy is a TCP/HTTP reverse proxy which is particularly suited for high
 availability environments. It features connection persistence through HTTP
 cookies, load balancing, header addition, modification, deletion both ways. It
 has request blocking capabilities and provides interface to display server
 status.

Package: haproxy-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, libjs-bootstrap (<< 4), libjs-jquery,
 ${sphinxdoc:Depends}
Pre-Depends: dpkg (>= 1.17.14)
Description: fast and reliable load balancing reverse proxy (HTML documentation)
 HAProxy is a TCP/HTTP reverse proxy which is particularly suited for high
 availability environments. It features connection persistence through HTTP
 cookies, load balancing, header addition, modification, deletion both ways. It
 has request blocking capabilities and provides interface to display server
 status.
 .
 This package contains the HTML documentation for haproxy.

Package: vim-haproxy
Architecture: all
Depends: ${misc:Depends}
Recommends: vim-addon-manager
Description: syntax highlighting for HAProxy configuration files
 The vim-haproxy package provides filetype detection and syntax highlighting
 for HAProxy configuration files.
 .
 As per the Debian vim policy, installed addons are not activated
 automatically, but the "vim-addon-manager" tool can be used for this purpose.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk
include /usr/share/dpkg/architecture.mk
include /usr/share/dpkg/buildflags.mk
include /usr/share/dpkg/buildtools.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

MAKEARGS=V=1 \
	 CC='$(CC)' \
	 PKG_CONFIG='$(PKG_CONFIG)' \
	 DESTDIR=debian/haproxy \
	 PREFIX=/usr \
	 IGNOREGIT=true \
	 MANDIR=/usr/share/man \
	 DOCDIR=/usr/share/doc/haproxy \
	 USE_PCRE2=1 \
	 USE_PCRE2_JIT=1 \
	 USE_OPENSSL=1 \
	 USE_QUIC=1 \
     USE_QUIC_OPENSSL_COMPAT=1 \
	 USE_SLZ=1 \
	 USE_LUA=1 \
	 USE_PROMEX=1 \
	 LUA_INC=/usr/include/lua5.3 \
	 EXTRA=admin/halog/halog

ifeq ($(DEB_HOST_ARCH_OS),linux)
        MAKEARGS+= TARGET=linux-glibc USE_SYSTEMD=1
else ifeq ($(DEB_HOST_ARCH_OS),kfreebsd)
        MAKEARGS+= TARGET=freebsd
else
	MAKEARGS+= TARGET=generic
endif

ifneq ($(filter armel mips mipsel m68k powerpc powerpcspe sh4 riscv64,$(DEB_HOST_ARCH)),)
	MAKEARGS+= ADDLIB="-latomic -Wl,-no-as-needed -ljemalloc -Wl,-as-needed"
else
	MAKEARGS+= ADDLIB=" -Wl,-no-as-needed -ljemalloc -Wl,-as-needed"
endif

MAKEARGS += DEBUG_CFLAGS="$(CFLAGS) $(CPPFLAGS)"
MAKEARGS += LDFLAGS="$(LDFLAGS)"
MAKEARGS += VERSION="$(DEB_VERSION_UPSTREAM)"
MAKEARGS += SUBVERS="-$(lastword $(subst -, ,$(DEB_VERSION)))"
MAKEARGS += VERDATE="$(shell TZ=UTC date -d "@$(SOURCE_DATE_EPOCH)" "+%Y/%m/%d")"

%:
	dh $@ --with sphinxdoc

override_dh_auto_configure:

override_dh_auto_build-arch:
	make $(MAKEARGS)
	make -C admin/systemd $(MAKEARGS)
	$(MAKE) -C doc/lua-api man

override_dh_auto_build-indep:
	# Build the HTML documentation, after patching dconv
	patch -p1 < $(CURDIR)/debian/patches/debianize-dconv.patch
	for doc in intro configuration management; do \
		python3 -B $(CURDIR)/debian/dconv/haproxy-dconv.py \
			-i $(CURDIR)/doc/$${doc}.txt \
			-o $(CURDIR)/doc/$${doc}.html ;\
	done
	patch -p1 -R < $(CURDIR)/debian/patches/debianize-dconv.patch
	$(MAKE) -C doc/lua-api html

override_dh_auto_clean:
	make -C admin/systemd clean
	$(MAKE) -C doc/lua-api clean
	dh_auto_clean

override_dh_auto_install-arch:
	make $(MAKEARGS) install
	install -m 0644 -D debian/rsyslog.conf debian/haproxy/etc/rsyslog.d/49-haproxy.conf
	install -m 0644 -D debian/logrotate.conf debian/haproxy/etc/logrotate.d/haproxy

override_dh_auto_install-indep:

override_dh_installdocs:
	dh_installdocs -Xsystemd/ -Xhalog/

override_dh_installexamples:
	dh_installexamples -X build.cfg

override_dh_installinit:
	dh_installinit --no-restart-after-upgrade --no-stop-on-upgrade

override_dh_installsystemd:
	dh_installsystemd --no-restart-after-upgrade --no-stop-on-upgrade

override_dh_strip:
	dh_strip --dbgsym-migration="haproxy-dbg"

## haproxy 2.8.17

=== debian/changelog ===
haproxy (2.8.17-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Vincent Bernat <bernat@debian.org>  Sat, 20 Dec 2025 17:02:57 +0100

haproxy (2.8.17-1) UNRELEASED; urgency=medium

  * New upstream release.

 -- Vincent Bernat <bernat@debian.org>  Sat, 20 Dec 2025 16:56:19 +0100

haproxy (2.8.16-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Vincent Bernat <bernat@debian.org>  Sat, 04 Oct 2025 10:13:18 +0200

haproxy (2.8.15-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Vincent Bernat <bernat@debian.org>  Fri, 25 Apr 2025 16:48:52 +0200

haproxy (2.8.14-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Vincent Bernat <bernat@debian.org>  Mon, 03 Feb 2025 09:12:06 +0100

haproxy (2.8.13-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Vincent Bernat <bernat@debian.org>  Sat, 14 Dec 2024 22:25:59 +0100

haproxy (2.8.12-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Vincent Bernat <bernat@debian.org>  Mon, 11 Nov 2024 17:27:15 +0100

haproxy (2.8.11-2~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Vincent Bernat <bernat@debian.org>  Sat, 21 Sep 2024 15:06:00 +0200

haproxy (2.8.10-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Vincent Bernat <bernat@debian.org>  Sun, 16 Jun 2024 10:54:31 +0200

haproxy (2.8.9-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Vincent Bernat <bernat@luffy.cx>  Sat, 06 Apr 2024 13:07:01 +0200

haproxy (2.8.7-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Vincent Bernat <bernat@luffy.cx>  Sat, 02 Mar 2024 23:53:28 +0100

haproxy (2.8.6-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Vincent Bernat <bernat@luffy.cx>  Fri, 16 Feb 2024 21:51:13 +0100

haproxy (2.8.5-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Vincent Bernat <bernat@luffy.cx>  Sat, 09 Dec 2023 16:47:37 +0100

haproxy (2.8.4-2~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Vincent Bernat <bernat@luffy.cx>  Wed, 22 Nov 2023 23:27:28 +0100

haproxy (2.8.4-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Vincent Bernat <bernat@luffy.cx>  Sat, 18 Nov 2023 21:04:07 +0100

haproxy (2.8.3-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Vincent Bernat <bernat@luffy.cx>  Fri, 08 Sep 2023 20:59:17 +0200

haproxy (2.8.2-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Vincent Bernat <bernat@luffy.cx>  Sat, 12 Aug 2023 14:03:10 +0200

haproxy (2.8.1-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Vincent Bernat <bernat@luffy.cx>  Mon, 03 Jul 2023 21:33:04 +0200

haproxy (2.8.0-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Vincent Bernat <bernat@luffy.cx>  Sat, 03 Jun 2023 13:48:18 +0200

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,9 @@
                liblua5.3-dev,
                libsystemd-dev [linux-any],
                libjemalloc-dev,
-               python3-sphinx:native
+               python3-sphinx:native,
+               libopentracing-c-wrapper-dev,
+               pkg-config
 Build-Depends-Indep: python3, python3-mako
 Homepage: http://www.haproxy.org/
 Vcs-Git: https://salsa.debian.org/haproxy-team/haproxy.git

=== debian/rules ===
--- 
+++ 
@@ -24,6 +24,7 @@
 	 USE_SLZ=1 \
 	 USE_LUA=1 \
 	 USE_PROMEX=1 \
+	 USE_OT=1 \
 	 LUA_INC=/usr/include/lua5.3 \
 	 EXTRA=admin/halog/halog

## haproxy 2.8.18

=== debian/changelog ===
haproxy (2.8.18-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Vincent Bernat <bernat@debian.org>  Fri, 26 Dec 2025 14:51:12 +0100

haproxy (2.8.18-1) UNRELEASED; urgency=medium

  * New upstream release.

 -- Vincent Bernat <bernat@debian.org>  Fri, 26 Dec 2025 10:38:10 +0100

## haproxy 2.9.5

=== debian/changelog ===
haproxy (2.9.5-1) unstable; urgency=medium

  * New upstream release.

 -- Vincent Bernat <bernat@debian.org>  Thu, 15 Feb 2024 22:21:25 +0100

haproxy (2.9.4-1) unstable; urgency=medium

  * New upstream release.

 -- Vincent Bernat <bernat@debian.org>  Thu, 01 Feb 2024 22:39:57 +0100

haproxy (2.9.3-1) unstable; urgency=medium

  * New upstream release.
  * Upload to unstable. Let bite the bullet!

 -- Vincent Bernat <bernat@debian.org>  Thu, 18 Jan 2024 21:25:36 +0100

haproxy (2.9.2-1) experimental; urgency=medium

  * New upstream release.
  * Upload back to experimental.

 -- Vincent Bernat <bernat@debian.org>  Fri, 12 Jan 2024 20:55:52 +0100

haproxy (2.9.1-1) unstable; urgency=medium

  [ Chris Hofstaedtler ]
  * d/rules: use dh_installsystemd to install .service files.
    Closes: #1057943.

  [ Vincent Bernat ]
  * New upstream release.

 -- Vincent Bernat <bernat@debian.org>  Fri, 15 Dec 2023 15:33:29 +0100

haproxy (2.9.0-1) experimental; urgency=medium

  * New upstream release.

 -- Vincent Bernat <bernat@debian.org>  Sat, 09 Dec 2023 15:33:05 +0100

haproxy (2.8.5-2) UNRELEASED; urgency=medium

  * d/rules: use dh_installsystemd to install .service files.
    Closes: #1057943.

 -- Chris Hofstaedtler <zeha@debian.org>  Sun, 10 Dec 2023 20:15:00 +0100

=== debian/control ===
--- 
+++ 
@@ -12,9 +12,10 @@
                liblua5.3-dev,
                libsystemd-dev [linux-any],
                libjemalloc-dev,
-               python3-sphinx:native,
+               python3-sphinx,
                libopentracing-c-wrapper-dev,
-               pkg-config
+               pkg-config,
+               systemd-dev [linux-any]
 Build-Depends-Indep: python3, python3-mako
 Homepage: http://www.haproxy.org/
 Vcs-Git: https://salsa.debian.org/haproxy-team/haproxy.git

## haproxy 2.9.9

=== debian/changelog ===
haproxy (2.9.9-1) unstable; urgency=medium

  * New upstream release.

 -- Vincent Bernat <bernat@debian.org>  Fri, 14 Jun 2024 21:50:59 +0200

haproxy (2.9.8-1) unstable; urgency=medium

  * New upstream release.

 -- Vincent Bernat <bernat@debian.org>  Tue, 11 Jun 2024 23:10:44 +0200

haproxy (2.9.7-1) unstable; urgency=medium

  * New upstream release.

 -- Vincent Bernat <bernat@debian.org>  Sat, 06 Apr 2024 11:40:25 +0200

haproxy (2.9.6-1) unstable; urgency=medium

  * New upstream release.
  * d/install: don't ship halog both in usr/bin and usr/sbin.
    Closes: #1064788.

 -- Vincent Bernat <bernat@neo>  Fri, 01 Mar 2024 22:01:08 +0100

=== debian/rules ===
--- 
+++ 
@@ -3,14 +3,11 @@
 include /usr/share/dpkg/pkg-info.mk
 include /usr/share/dpkg/architecture.mk
 include /usr/share/dpkg/buildflags.mk
-include /usr/share/dpkg/buildtools.mk
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 
 MAKEARGS=V=1 \
-	 CC='$(CC)' \
-	 PKG_CONFIG='$(PKG_CONFIG)' \
 	 DESTDIR=debian/haproxy \
 	 PREFIX=/usr \
 	 IGNOREGIT=true \
@@ -30,6 +27,7 @@
 
 ifeq ($(DEB_HOST_ARCH_OS),linux)
         MAKEARGS+= TARGET=linux-glibc USE_SYSTEMD=1
+        deb_systemdsystemunitdir=$(shell pkg-config --variable=systemdsystemunitdir systemd)
 else ifeq ($(DEB_HOST_ARCH_OS),kfreebsd)
         MAKEARGS+= TARGET=freebsd
 else
@@ -39,7 +37,7 @@
 ifneq ($(filter armel mips mipsel m68k powerpc powerpcspe sh4 riscv64,$(DEB_HOST_ARCH)),)
 	MAKEARGS+= ADDLIB="-latomic -Wl,-no-as-needed -ljemalloc -Wl,-as-needed"
 else
-	MAKEARGS+= ADDLIB=" -Wl,-no-as-needed -ljemalloc -Wl,-as-needed"
+	MAKEARGS+= ADDLIB="-Wl,-no-as-needed -ljemalloc -Wl,-as-needed"
 endif
 
 MAKEARGS += DEBUG_CFLAGS="$(CFLAGS) $(CPPFLAGS)"
@@ -78,6 +76,9 @@
 	make $(MAKEARGS) install
 	install -m 0644 -D debian/rsyslog.conf debian/haproxy/etc/rsyslog.d/49-haproxy.conf
 	install -m 0644 -D debian/logrotate.conf debian/haproxy/etc/logrotate.d/haproxy
+ifneq ($(deb_systemdsystemunitdir),)
+	install -m 0644 -D admin/systemd/haproxy.service debian/haproxy$(deb_systemdsystemunitdir)/haproxy.service
+endif
 
 override_dh_auto_install-indep:

## haproxy 2.9.10

=== debian/changelog ===
haproxy (2.9.10-1ubuntu1) oracular; urgency=medium

  * Merge with Debian unstable (LP: #2073315). Remaining changes:
    - d/{control,rules}: Remove support for OpenTracing due to it being
      in universe
    - d/{control,rules}: do not link against jemalloc (universe)
  * Dropped changes:
    - d/control: Upgrade lua build dependency to 5.4
      [ Fixed in 2.9.10-1 ]
    - d/rules: Change lua include location to /usr/include/lua5.4
      [ Fixed in 2.9.10-1 ]
    - d/p/CVE-2024-45506-1.patch: clear DEM_MROOM and MUX_MFULL at more
      places
      [ Fixed in 2.9.10 ]
    - d/p/CVE-2024-45506-2.patch: always clear MUX_MFULL and DEM_MROOM
      when clearing the mbuf
      [ Fixed in 2.9.10 ]

 -- Athos Ribeiro <athos.ribeiro@canonical.com>  Fri, 13 Sep 2024 10:35:04 -0300

haproxy (2.9.10-1) unstable; urgency=medium

  [ Apollon Oikonomopoulos ]
  * Build against Lua 5.4; thanks to Athos Ribeiro and Lena Voytek.
    Closes: #1074401.

  [ Vincent Bernat ]
  * New upstream release. Fix CVE-2024-45506.

 -- Vincent Bernat <bernat@debian.org>  Tue, 03 Sep 2024 16:43:27 +0200

haproxy (2.9.9-1ubuntu2) oracular; urgency=medium

  * SECURITY UPDATE: remote denial of service issue
    - debian/patches/CVE-2024-45506-1.patch: try to clear DEM_MROOM and
      MUX_MFULL at more places in src/mux_h2.c.
    - debian/patches/CVE-2024-45506-2.patch: always clear MUX_MFULL and
      DEM_MROOM when clearing the mbuf in src/mux_h2.c.
    - CVE-2024-45506

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 12 Sep 2024 12:04:03 -0400

haproxy (2.9.9-1ubuntu1) oracular; urgency=medium

  * Merge with Debian unstable (LP: #2064406). Remaining changes:
    - d/{control,rules}: Remove support for OpenTracing due to it being
      in universe.
    - d/control: Upgrade lua build dependency to 5.4
    - d/rules: Change lua include location to /usr/include/lua5.4
    - d/{control,rules}: do not link against jemalloc (universe).

 -- Athos Ribeiro <athos.ribeiro@canonical.com>  Thu, 27 Jun 2024 21:44:27 -0300

=== debian/rules ===
--- 
+++ 
@@ -21,8 +21,7 @@
 	 USE_SLZ=1 \
 	 USE_LUA=1 \
 	 USE_PROMEX=1 \
-	 USE_OT=1 \
-	 LUA_INC=/usr/include/lua5.3 \
+	 LUA_INC=/usr/include/lua5.4 \
 	 EXTRA=admin/halog/halog
 
 ifeq ($(DEB_HOST_ARCH_OS),linux)
@@ -35,9 +34,7 @@
 endif
 
 ifneq ($(filter armel mips mipsel m68k powerpc powerpcspe sh4 riscv64,$(DEB_HOST_ARCH)),)
-	MAKEARGS+= ADDLIB="-latomic -Wl,-no-as-needed -ljemalloc -Wl,-as-needed"
-else
-	MAKEARGS+= ADDLIB="-Wl,-no-as-needed -ljemalloc -Wl,-as-needed"
+	MAKEARGS+= ADDLIB="-latomic"
 endif
 
 MAKEARGS += DEBUG_CFLAGS="$(CFLAGS) $(CPPFLAGS)"

=== debian/watch ===
version=3
opts="uversionmangle=s/-(dev\d+)/~$1/" https://www.haproxy.org/download/2.9/src/ haproxy-(2\.9(?:\.|-dev)\d+)\.(?:tgz|tbz2|tar\.(?:gz|bz2|xz))

## haproxy 2.9.11

=== debian/changelog ===
haproxy (2.9.11-1) unstable; urgency=medium

  * New upstream release.

 -- Vincent Bernat <bernat@debian.org>  Sat, 21 Sep 2024 14:50:05 +0200

## haproxy 2.9.12

=== Makefile ===
# This GNU Makefile supports different OS and CPU combinations.
#
# You should use it this way :
#   [g]make TARGET=os [ARCH=arch] [CPU=cpu] USE_xxx=1 ...
#
# When in doubt, invoke help, possibly with a known target :
#   [g]make help
#   [g]make help TARGET=linux-glibc
#
# By default the detailed commands are hidden for a cleaner output, but you may
# see them by appending "V=1" to the make command.
#
# Valid USE_* options are enumerated in the "use_opts" variable and are listed
# below. Most of them are automatically set by the TARGET, others have to be
# explicitly specified :
#   USE_EPOLL               : enable epoll() on Linux 2.6. Automatic.
#   USE_KQUEUE              : enable kqueue() on BSD. Automatic.
#   USE_EVPORTS             : enable event ports on SunOS systems. Automatic.
#   USE_NETFILTER           : enable netfilter on Linux. Automatic.
#   USE_PCRE                : enable use of libpcre for regex.
#   USE_PCRE_JIT            : enable JIT for faster regex on libpcre >= 8.32
#   USE_PCRE2               : enable use of libpcre2 for regex. Recommended.
#   USE_PCRE2_JIT           : enable JIT for faster regex on libpcre2
#   USE_POLL                : enable poll(). Automatic.
#   USE_THREAD              : enable threads support.
#   USE_STATIC_PCRE         : enable static libpcre.
#   USE_STATIC_PCRE2        : enable static libpcre2. Recommended.
#   USE_TPROXY              : enable transparent proxy. Automatic.
#   USE_LINUX_TPROXY        : enable full transparent proxy. Automatic.
#   USE_LINUX_SPLICE        : enable kernel 2.6 splicing. Automatic.
#   USE_LINUX_CAP           : enable Linux capabilities.
#   USE_LIBCRYPT            : enable encrypted passwords using -lcrypt
#   USE_CRYPT_H             : set it if your system requires including crypt.h
#   USE_GETADDRINFO         : use getaddrinfo() to resolve IPv6 host names.
#   USE_OPENSSL             : enable use of OpenSSL. Recommended, but see below.
#   USE_OPENSSL_AWSLC       : enable use of AWS-LC
#   USE_OPENSSL_WOLFSSL     : enable use of wolfSSL with the OpenSSL API
#   USE_QUIC                : enable use of QUIC with the quictls API (quictls, libressl, boringssl)
#   USE_QUIC_OPENSSL_COMPAT : enable use of QUIC with the standard openssl API (limited features)
#   USE_ENGINE              : enable use of OpenSSL Engine.
#   USE_LUA                 : enable Lua support.
#   USE_ACCEPT4             : enable use of accept4() on linux. Automatic.
#   USE_CLOSEFROM           : enable use of closefrom() on *bsd, solaris. Automatic.
#   USE_PRCTL               : enable use of prctl(). Automatic.
#   USE_PROCCTL             : enable use of procctl(). Automatic.
#   USE_ZLIB                : enable zlib library support and disable SLZ
#   USE_SLZ                 : enable slz library instead of zlib (default=enabled)
#   USE_CPU_AFFINITY        : enable pinning processes to CPU on Linux. Automatic.
#   USE_TFO                 : enable TCP fast open. Supported on Linux >= 3.7.
#   USE_NS                  : enable network namespace support. Supported on Linux >= 2.6.24.
#   USE_DL                  : enable it if your system requires -ldl. Automatic on Linux.
#   USE_MATH                : enable use of -lm. Automatic.
#   USE_RT                  : enable it if your system requires -lrt. Automatic on Linux.
#   USE_BACKTRACE           : enable backtrace(). Automatic on Linux.
#   USE_PROMEX              : enable the Prometheus exporter
#   USE_DEVICEATLAS         : enable DeviceAtlas api.
#   USE_51DEGREES           : enable third party device detection library from 51Degrees
#   USE_WURFL               : enable WURFL detection library from Scientiamobile
#   USE_SYSTEMD             : enable sd_notify() support.
#   USE_OBSOLETE_LINKER     : use when the linker fails to emit __start_init/__stop_init
#   USE_THREAD_DUMP         : use the more advanced thread state dump system. Automatic.
#   USE_OT                  : enable the OpenTracing filter
#   USE_MEMORY_PROFILING    : enable the memory profiler. Linux-glibc only.
#   USE_LIBATOMIC           : force to link with/without libatomic. Automatic.
#   USE_PTHREAD_EMULATION   : replace pthread's rwlocks with ours
#   USE_SHM_OPEN            : use shm_open() for the startup-logs
#
# Options can be forced by specifying "USE_xxx=1" or can be disabled by using
# "USE_xxx=" (empty string). The list of enabled and disabled options for a
# given TARGET is enumerated at the end of "make help". Most of these options
# support specific xxx_CFLAGS and/or xxx_LDFLAGS that can be individually
# forced. The currently active ones for a given set of options are listed in
# "make opts USE_xxx=1 ...".
#
# Variables useful for packagers :
#   CC is set to "cc" by default and is used for compilation only.
#   LD is set to "cc" by default and is used for linking only.
#   ARCH may be useful to force build of 32-bit binary on 64-bit systems
#   CFLAGS is automatically set for the specified CPU and may be overridden.
#   LDFLAGS is automatically set to -g and may be overridden.
#   DEP may be cleared to ignore changes to include files during development
#   SMALL_OPTS may be used to specify some options to shrink memory usage.
#   DEBUG may be used to set some internal debugging options.
#   ERR may be set to non-empty to pass -Werror to the compiler
#   ADDINC may be used to complete the include path in the form -Ipath.
#   ADDLIB may be used to complete the library list in the form -Lpath -llib.
#   DEFINE may be used to specify any additional define, which will be reported
#          by "haproxy -vv" in CFLAGS.
#   SILENT_DEFINE may be used to specify other defines which will not be
#     reported by "haproxy -vv".
#   EXTRA   is used to force building or not building some extra tools.
#   DESTDIR is not set by default and is used for installation only.
#           It might be useful to set DESTDIR if you want to install haproxy
#           in a sandbox.
#   INSTALL is set to "install" by default and is used to provide the name of
#           the install binary used by the install targets and any additional
#           flags.
#   PREFIX  is set to "/usr/local" by default and is used for installation only.
#   SBINDIR is set to "$(PREFIX)/sbin" by default and is used for installation
#           only.
#   MANDIR  is set to "$(PREFIX)/share/man" by default and is used for
#           installation only.
#   DOCDIR  is set to "$(PREFIX)/doc/haproxy" by default and is used for
#           installation only.
#   HLUA_PREPEND_PATH may be used to prepend a folder to Lua's default package.path.
#   HLUA_PREPEND_CPATH may be used to prepend a folder to Lua's default package.cpath.
#
# Other variables :
#   PCRE_CONFIG    : force the binary path to get pcre config (by default
#                                                              pcre-config)
#   PCREDIR        : force the path to libpcre.
#   PCRE_LIB       : force the lib path to libpcre (defaults to $PCREDIR/lib).
#   PCRE_INC       : force the include path to libpcre ($PCREDIR/inc)
#   PCRE2_CONFIG   : force the binary path to get pcre2 config (by default
#                                                               pcre2-config)
#   SSL_LIB        : force the lib path to libssl/libcrypto
#   SSL_INC        : force the include path to libssl/libcrypto
#   LUA_LIB        : force the lib path to lua
#   LUA_INC        : force the include path to lua
#   LUA_LIB_NAME   : force the lib name (or automatically evaluated, by order of
#                                        priority : lua5.4, lua54, lua5.3, lua53, lua).
#   OT_DEBUG       : compile the OpenTracing filter in debug mode
#   OT_INC         : force the include path to libopentracing-c-wrapper
#   OT_LIB         : force the lib path to libopentracing-c-wrapper
#   OT_RUNPATH     : add RUNPATH for libopentracing-c-wrapper to haproxy executable
#   OT_USE_VARS    : allows the use of variables for the OpenTracing context
#   IGNOREGIT      : ignore GIT commit versions if set.
#   VERSION        : force haproxy version reporting.
#   SUBVERS        : add a sub-version (eg: platform, model, ...).
#   EXTRAVERSION   : local version string to append (e.g. build number etc)
#   VERDATE        : force haproxy's release date.
#   VTEST_PROGRAM  : location of the vtest program to run reg-tests.
#   DEBUG_USE_ABORT: use abort() for program termination, see include/haproxy/bug.h for details

include include/make/verbose.mk
include include/make/compiler.mk
include include/make/options.mk

#### Installation options.
DESTDIR =
INSTALL = install
PREFIX = /usr/local
SBINDIR = $(PREFIX)/sbin
MANDIR = $(PREFIX)/share/man
DOCDIR = $(PREFIX)/doc/haproxy

#### TARGET system
# Use TARGET=<target_name> to optimize for a specific target OS among the
# following list (use the default "generic" if uncertain) :
#    linux-glibc, linux-glibc-legacy, linux-musl, solaris, freebsd, freebsd-glibc,
#    dragonfly, openbsd, netbsd, cygwin, haiku, aix51, aix52, aix72-gcc, osx, generic,
#    custom
TARGET =

#### TARGET CPU
# Use CPU=<cpu_name> to optimize for a particular CPU, among the following
# list :
#    generic, native, i586, i686, ultrasparc, power8, power9, custom,
#    a53, a72, armv81, armv8-auto
CPU = generic

#### Architecture, used when not building for native architecture
# Use ARCH=<arch_name> to force build for a specific architecture. Known
# architectures will lead to "-m32" or "-m64" being added to CFLAGS and
# LDFLAGS. This can be required to build 32-bit binaries on 64-bit targets.
# Currently, only 32, 64, x86_64, i386, i486, i586 and i686 are understood.
ARCH =

#### Toolchain options.
CC = cc
LD = $(CC)

#### Debug flags (typically "-g").
# Those flags only feed CFLAGS so it is not mandatory to use this form.
DEBUG_CFLAGS = -g

#### Add -Werror when set to non-empty
ERR =

#### May be used to force running a specific set of reg-tests
REG_TEST_FILES =
REG_TEST_SCRIPT=./scripts/run-regtests.sh

#### Compiler-specific flags that may be used to disable some negative over-
# optimization or to silence some warnings.
# We rely on signed integer wraparound on overflow, however clang think it
# can do whatever it wants since it's an undefined behavior, so use -fwrapv
# to be sure we get the intended behavior.
WARN_CFLAGS := -Wtype-limits -Wshift-negative-value -Wshift-overflow=2 \
               -Wduplicated-cond -Wnull-dereference
SPEC_CFLAGS := -Wall -Wextra -Wundef -Wdeclaration-after-statement -Wfatal-errors
SPEC_CFLAGS += $(call cc-all-fast,$(WARN_CFLAGS))

SPEC_CFLAGS += $(call cc-opt-alt,-fwrapv,-fno-strict-overflow)
SPEC_CFLAGS += $(cc-wnouwo)
SPEC_CFLAGS += $(call cc-nowarn,address-of-packed-member)
SPEC_CFLAGS += $(call cc-nowarn,unused-label)
SPEC_CFLAGS += $(call cc-nowarn,sign-compare)
SPEC_CFLAGS += $(call cc-nowarn,unused-parameter)
SPEC_CFLAGS += $(call cc-nowarn,clobbered)
SPEC_CFLAGS += $(call cc-nowarn,missing-field-initializers)
SPEC_CFLAGS += $(call cc-nowarn,cast-function-type)
SPEC_CFLAGS += $(call cc-nowarn,string-plus-int)
SPEC_CFLAGS += $(call cc-nowarn,atomic-alignment)

ifneq ($(ERR),)
  SPEC_CFLAGS += -Werror
endif

#### Memory usage tuning
# If small memory footprint is required, you can reduce the buffer size. There
# are 2 buffers per concurrent session, so 16 kB buffers will eat 32 MB memory
# with 1000 concurrent sessions. Putting it slightly lower than a page size
# will prevent the additional parameters to go beyond a page. 8030 bytes is
# exactly 5.5 TCP segments of 1460 bytes and is generally good. Useful tuning
# macros include :
#    SYSTEM_MAXCONN, BUFSIZE, MAXREWRITE, REQURI_LEN, CAPTURE_LEN.
# Example: SMALL_OPTS = -DBUFSIZE=8030 -DMAXREWRITE=1030 -DSYSTEM_MAXCONN=1024
SMALL_OPTS =

#### Debug settings
# You can enable debugging on specific code parts by setting DEBUG=-DDEBUG_xxx.
# Use quotes and spaces if multiple options are needed (the DEBUG variables is
# passed as-is to CFLAGS). Please check sources for their exact meaning or do

=== debian/changelog ===
haproxy (2.9.12-1) unstable; urgency=medium

  * New upstream release.

 -- Vincent Bernat <bernat@debian.org>  Mon, 11 Nov 2024 17:30:30 +0100

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 Build-Depends: debhelper-compat (= 12),
                libpcre2-dev,
                libssl-dev,
-               liblua5.3-dev,
+               liblua5.4-dev,
                libsystemd-dev [linux-any],
                libjemalloc-dev,
                python3-sphinx,

=== debian/rules ===
--- 
+++ 
@@ -21,6 +21,7 @@
 	 USE_SLZ=1 \
 	 USE_LUA=1 \
 	 USE_PROMEX=1 \
+	 USE_OT=1 \
 	 LUA_INC=/usr/include/lua5.4 \
 	 EXTRA=admin/halog/halog
 
@@ -34,7 +35,9 @@
 endif
 
 ifneq ($(filter armel mips mipsel m68k powerpc powerpcspe sh4 riscv64,$(DEB_HOST_ARCH)),)
-	MAKEARGS+= ADDLIB="-latomic"
+	MAKEARGS+= ADDLIB="-latomic -Wl,-no-as-needed -ljemalloc -Wl,-as-needed"
+else
+	MAKEARGS+= ADDLIB="-Wl,-no-as-needed -ljemalloc -Wl,-as-needed"
 endif
 
 MAKEARGS += DEBUG_CFLAGS="$(CFLAGS) $(CPPFLAGS)"

## haproxy 3.0.6

=== debian/changelog ===
haproxy (3.0.6-3) unstable; urgency=medium

  [ Helmut Grohne ]
  * Fix FTCBFS: (Closes: #1079532)
    + Require a sphinx for the build architecture.
    + Pass CC and PKG_CONFIG to all make targets.
    + cross.patch: Honour the passed ${PKG_CONFIG}.

 -- Vincent Bernat <bernat@debian.org>  Sun, 01 Dec 2024 18:35:09 +0100

haproxy (3.0.6-2) unstable; urgency=medium

  * Upload to unstable.
  * Update documentation converter.

 -- Vincent Bernat <bernat@debian.org>  Sat, 30 Nov 2024 18:28:45 +0100

haproxy (3.0.6-1) experimental; urgency=medium

  * New upstream release.

 -- Vincent Bernat <bernat@debian.org>  Mon, 11 Nov 2024 17:37:04 +0100

haproxy (3.0.5-1) experimental; urgency=medium

  * New upstream release.

 -- Vincent Bernat <bernat@debian.org>  Sat, 21 Sep 2024 11:07:55 +0200

haproxy (3.0.4-1) experimental; urgency=medium

  [ Apollon Oikonomopoulos ]
  * Build against Lua 5.4; thanks to Athos Ribeiro and Lena Voytek.
    Closes: #1074401.

  [ Vincent Bernat ]
  * New upstream release. Fix CVE-2024-45506.

 -- Vincent Bernat <bernat@debian.org>  Tue, 03 Sep 2024 16:58:45 +0200

haproxy (3.0.3-1) experimental; urgency=medium

  [ Apollon Oikonomopoulos ]
  * Build against Lua 5.4; thanks to Athos Ribeiro and Lena Voytek.
    Closes: #1074401.

  [ Vincent Bernat ]
  * New upstream release.

 -- Vincent Bernat <bernat@debian.org>  Fri, 12 Jul 2024 22:02:01 +0200

haproxy (3.0.2-1) experimental; urgency=medium

  * New upstream release.

 -- Vincent Bernat <bernat@debian.org>  Fri, 14 Jun 2024 22:23:20 +0200

haproxy (3.0.1-1) experimental; urgency=medium

  * New upstream release.

 -- Vincent Bernat <bernat@debian.org>  Tue, 11 Jun 2024 04:08:37 +0200

haproxy (3.0.0-1) experimental; urgency=medium

  * New upstream release.
  * d/rules: use CFLAGS instead of DEBUG_CFLAGS.
  * d/rules: let upstream Makefile decides for libatomic.
  * d/patch: update patches.
  * d/control: build-depends on pkgconf instead of pkg-config.

 -- Vincent Bernat <bernat@debian.org>  Sat, 01 Jun 2024 12:25:32 +0200

=== debian/control ===
--- 
+++ 
@@ -12,11 +12,11 @@
                liblua5.4-dev,
                libsystemd-dev [linux-any],
                libjemalloc-dev,
-               python3-sphinx,
+               python3-sphinx:native,
                libopentracing-c-wrapper-dev,
-               pkg-config,
+               pkgconf,
                systemd-dev [linux-any]
-Build-Depends-Indep: python3, python3-mako
+Build-Depends-Indep: python3:native, python3-mako:native
 Homepage: http://www.haproxy.org/
 Vcs-Git: https://salsa.debian.org/haproxy-team/haproxy.git
 Vcs-Browser: https://salsa.debian.org/haproxy-team/haproxy

## haproxy 3.0.7

=== debian/changelog ===
haproxy (3.0.7-1) unstable; urgency=medium

  * New upstream release.

 -- Vincent Bernat <bernat@debian.org>  Sat, 14 Dec 2024 21:40:24 +0100

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
                libopentracing-c-wrapper-dev,
                pkgconf,
                systemd-dev [linux-any]
-Build-Depends-Indep: python3:native, python3-mako:native
+Build-Depends-Indep: python3, python3-mako
 Homepage: http://www.haproxy.org/
 Vcs-Git: https://salsa.debian.org/haproxy-team/haproxy.git
 Vcs-Browser: https://salsa.debian.org/haproxy-team/haproxy

## haproxy 3.0.8

=== debian/changelog ===
haproxy (3.0.8-1ubuntu1.2) plucky-security; urgency=medium

  * SECURITY UPDATE: DoS via MJSON
    - debian/patches/CVE-2025-11230.patch: fix possible DoS when parsing
      numbers in src/mjson.c.
    - CVE-2025-11230

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 01 Oct 2025 12:58:21 -0400

haproxy (3.0.8-1ubuntu1.1) plucky-security; urgency=medium

  * SECURITY UPDATE: heap overflow in sample_conv_regsub
    - debian/patches/CVE-2025-32464.patch: fix risk of overflow when
      replacing multiple regex back-refs in src/sample.c.
    - CVE-2025-32464

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 09 Apr 2025 08:46:16 -0400

haproxy (3.0.8-1ubuntu1) plucky; urgency=medium

  * Merge from Debian Unstable. Remaining changes:
    - d/{control,rules}: Remove support for OpenTracing due to it being
      in universe
    - d/{control,rules}: do not link against jemalloc (universe)
      This can be dropped after (LP #2088056) got accepted.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Tue, 11 Feb 2025 01:52:59 -0600

haproxy (3.0.8-1) unstable; urgency=medium

  * New upstream release.

 -- Vincent Bernat <bernat@debian.org>  Wed, 29 Jan 2025 21:43:30 +0100

haproxy (3.0.7-1ubuntu1) plucky; urgency=medium

  * Merge with Debian unstable (LP: #2085234). Remaining changes:
    - d/{control,rules}: Remove support for OpenTracing due to it being
      in universe
    - d/{control,rules}: do not link against jemalloc (universe)
      This can be dropped after (LP #2088056) got accepted.

 -- Lukas Märdian <slyon@ubuntu.com>  Thu, 09 Jan 2025 10:00:59 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: haproxy
 Section: net
 Priority: optional
-Maintainer: Debian HAProxy Maintainers <team+haproxy@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian HAProxy Maintainers <team+haproxy@tracker.debian.org>
 Uploaders: Apollon Oikonomopoulos <apoikos@debian.org>,
            Prach Pongpanich <prach@debian.org>,
            Vincent Bernat <bernat@debian.org>
@@ -11,9 +12,7 @@
                libssl-dev,
                liblua5.4-dev,
                libsystemd-dev [linux-any],
-               libjemalloc-dev,
                python3-sphinx:native,
-               libopentracing-c-wrapper-dev,
                pkgconf,
                systemd-dev [linux-any]
 Build-Depends-Indep: python3, python3-mako

=== debian/rules ===
--- 
+++ 
@@ -3,11 +3,14 @@
 include /usr/share/dpkg/pkg-info.mk
 include /usr/share/dpkg/architecture.mk
 include /usr/share/dpkg/buildflags.mk
+include /usr/share/dpkg/buildtools.mk
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 
 MAKEARGS=V=1 \
+	 CC='$(CC)' \
+	 PKG_CONFIG='$(PKG_CONFIG)' \
 	 DESTDIR=debian/haproxy \
 	 PREFIX=/usr \
 	 IGNOREGIT=true \
@@ -21,7 +24,6 @@
 	 USE_SLZ=1 \
 	 USE_LUA=1 \
 	 USE_PROMEX=1 \
-	 USE_OT=1 \
 	 LUA_INC=/usr/include/lua5.4 \
 	 EXTRA=admin/halog/halog
 
@@ -34,13 +36,8 @@
 	MAKEARGS+= TARGET=generic
 endif
 
-ifneq ($(filter armel mips mipsel m68k powerpc powerpcspe sh4 riscv64,$(DEB_HOST_ARCH)),)
-	MAKEARGS+= ADDLIB="-latomic -Wl,-no-as-needed -ljemalloc -Wl,-as-needed"
-else
-	MAKEARGS+= ADDLIB="-Wl,-no-as-needed -ljemalloc -Wl,-as-needed"
-endif
-
-MAKEARGS += DEBUG_CFLAGS="$(CFLAGS) $(CPPFLAGS)"
+#MAKEARGS += ADDLIB="-Wl,-no-as-needed -ljemalloc -Wl,-as-needed"  # see https://pad.lv/2088056
+MAKEARGS += CFLAGS="$(CFLAGS) $(CPPFLAGS)"
 MAKEARGS += LDFLAGS="$(LDFLAGS)"
 MAKEARGS += VERSION="$(DEB_VERSION_UPSTREAM)"
 MAKEARGS += SUBVERS="-$(lastword $(subst -, ,$(DEB_VERSION)))"
@@ -59,11 +56,9 @@
 override_dh_auto_build-indep:
 	# Build the HTML documentation, after patching dconv
 	patch -p1 < $(CURDIR)/debian/patches/debianize-dconv.patch
-	for doc in intro configuration management; do \
-		python3 -B $(CURDIR)/debian/dconv/haproxy-dconv.py \
-			-i $(CURDIR)/doc/$${doc}.txt \
-			-o $(CURDIR)/doc/$${doc}.html ;\
-	done
+	python3 -B $(CURDIR)/debian/dconv/dconv.py \
+			-o $(CURDIR)/doc \
+		    $(CURDIR)/doc/intro.txt $(CURDIR)/doc/configuration.txt $(CURDIR)/doc/management.txt
 	patch -p1 -R < $(CURDIR)/debian/patches/debianize-dconv.patch
 	$(MAKE) -C doc/lua-api html

## haproxy 3.0.9

=== debian/changelog ===
haproxy (3.0.9-1) unstable; urgency=medium

  * New upstream release.
  * d/control: drop Pre-Depends on dpkg. Closes: #1100452

 -- Vincent Bernat <bernat@debian.org>  Sat, 22 Mar 2025 17:21:15 +0100
